﻿.footer-button {
    border-color: #88cad0;
    color: #88cad0;
}

    .footer-button:hover{
        background-color: #597688;
        border-color: #88cad0;
        color: #88cad0;
    }

    .footer-button:focus{
        background-color: #597688
    }

    .footer-button:focus-visible {
        border-color: #88cad0;
        color: #88cad0;
    }

.pw-strength-check, .pw-strength-wrong {
    position: relative;
    list-style: none;
}

.pw-strength-wrong {
    text-decoration: underline;
    font-weight: bold;
}

    .pw-strength-check:before {
        content: "";
        display: block;
        box-sizing: border-box;
        position: absolute;
        left: -18px;
        top: -1px;
        width: 6px;
        height: 10px;
        border-width: 0 2px 2px 0;
        border-style: solid;
        transform-origin: bottom left;
        transform: rotate(45deg);
    }

    .pw-strength-wrong:before {
        content: "";
        font-size: 20px;
        position: absolute;
        left: -19px;
        top: 3px;
        width: 12px;
        height: 12px;
        display: inline-block;
        background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='12' height='12' fill='%23dc3545' viewBox='0 0 16 16'%3E%3Cpath d='M16 8A8 8 0 1 1 0 8a8 8 0 0 1 16 0zM8 4a.905.905 0 0 0-.9.995l.35 3.507a.552.552 0 0 0 1.1 0l.35-3.507A.905.905 0 0 0 8 4zm.002 6a1 1 0 1 0 0 2 1 1 0 0 0 0-2z'/%3E%3C/svg%3E");
        background-repeat: no-repeat;
    }

    .pw-show-hide {
        position: relative;
    }

    .pw-show-hide .pw-hide, .pw-show-hide .pw-show {
        position: absolute;
        right: -8px;
        top: 8px;
    }

@media (max-width: 576px) {
    .pw-show-hide input {
        width: calc(100% - 25px)
    }

    .pw-show-hide .pw-hide, .pw-show-hide .pw-show {
        right: 17px;
    }
}

button.btn-close {
    font-size: 1.5rem;
    font-weight: 700;
    line-height: 1;
    color: inherit;
    text-shadow: 0 1px 0 #fff;
    opacity: .5;
    background-image: none;
}

button.btn-close:hover {
    color: inherit;
}
